/*-
 * Copyright (c) 2018 The NetBSD Foundation, Inc.
 * All rights reserved.
 *
 * This code is derived from software contributed to The NetBSD Foundation
 * by Christos Zoulas.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
 * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
#ifndef _OPENSOLARIS_SYS_NVNAMESPACE_H_
#define _OPENSOLARIS_SYS_NVNAMESPACE_H_

#define	fm_nvlist_create	opensolaris_fm_nvlist_create
#define	fm_nvlist_destroy	opensolaris_fm_nvlist_destroy
#define	fnvlist_add_boolean	opensolaris_fnvlist_add_boolean
#define	fnvlist_add_boolean_array	opensolaris_fnvlist_add_boolean_array
#define	fnvlist_add_boolean_value	opensolaris_fnvlist_add_boolean_value
#define	fnvlist_add_byte	opensolaris_fnvlist_add_byte
#define	fnvlist_add_byte_array	opensolaris_fnvlist_add_byte_array
#define	fnvlist_add_int16	opensolaris_fnvlist_add_int16
#define	fnvlist_add_int16_array	opensolaris_fnvlist_add_int16_array
#define	fnvlist_add_int32	opensolaris_fnvlist_add_int32
#define	fnvlist_add_int32_array	opensolaris_fnvlist_add_int32_array
#define	fnvlist_add_int64	opensolaris_fnvlist_add_int64
#define	fnvlist_add_int64_array	opensolaris_fnvlist_add_int64_array
#define	fnvlist_add_int8	opensolaris_fnvlist_add_int8
#define	fnvlist_add_int8_array	opensolaris_fnvlist_add_int8_array
#define	fnvlist_add_nvlist	opensolaris_fnvlist_add_nvlist
#define	fnvlist_add_nvlist_array	opensolaris_fnvlist_add_nvlist_array
#define	fnvlist_add_nvpair	opensolaris_fnvlist_add_nvpair
#define	fnvlist_add_string	opensolaris_fnvlist_add_string
#define	fnvlist_add_string_array	opensolaris_fnvlist_add_string_array
#define	fnvlist_add_uint16	opensolaris_fnvlist_add_uint16
#define	fnvlist_add_uint16_array	opensolaris_fnvlist_add_uint16_array
#define	fnvlist_add_uint32	opensolaris_fnvlist_add_uint32
#define	fnvlist_add_uint32_array	opensolaris_fnvlist_add_uint32_array
#define	fnvlist_add_uint64	opensolaris_fnvlist_add_uint64
#define	fnvlist_add_uint64_array	opensolaris_fnvlist_add_uint64_array
#define	fnvlist_add_uint8	opensolaris_fnvlist_add_uint8
#define	fnvlist_add_uint8_array	opensolaris_fnvlist_add_uint8_array
#define	fnvlist_alloc	opensolaris_fnvlist_alloc
#define	fnvlist_dup	opensolaris_fnvlist_dup
#define	fnvlist_free	opensolaris_fnvlist_free
#define	fnvlist_lookup_boolean	opensolaris_fnvlist_lookup_boolean
#define	fnvlist_lookup_boolean_value	opensolaris_fnvlist_lookup_boolean_value
#define	fnvlist_lookup_byte	opensolaris_fnvlist_lookup_byte
#define	fnvlist_lookup_int16	opensolaris_fnvlist_lookup_int16
#define	fnvlist_lookup_int32	opensolaris_fnvlist_lookup_int32
#define	fnvlist_lookup_int64	opensolaris_fnvlist_lookup_int64
#define	fnvlist_lookup_int8	opensolaris_fnvlist_lookup_int8
#define	fnvlist_lookup_nvlist	opensolaris_fnvlist_lookup_nvlist
#define	fnvlist_lookup_nvpair	opensolaris_fnvlist_lookup_nvpair
#define	fnvlist_lookup_string	opensolaris_fnvlist_lookup_string
#define	fnvlist_lookup_uint16	opensolaris_fnvlist_lookup_uint16
#define	fnvlist_lookup_uint32	opensolaris_fnvlist_lookup_uint32
#define	fnvlist_lookup_uint64	opensolaris_fnvlist_lookup_uint64
#define	fnvlist_lookup_uint8_t	opensolaris_fnvlist_lookup_uint8_t
#define	fnvlist_merge	opensolaris_fnvlist_merge
#define	fnvlist_num_pairs	opensolaris_fnvlist_num_pairs
#define	fnvlist_pack	opensolaris_fnvlist_pack
#define	fnvlist_pack_free	opensolaris_fnvlist_pack_free
#define	fnvlist_remove	opensolaris_fnvlist_remove
#define	fnvlist_remove_nvpair	opensolaris_fnvlist_remove_nvpair
#define	fnvlist_size	opensolaris_fnvlist_size
#define	fnvlist_unpack	opensolaris_fnvlist_unpack
#define	fnvpair_value_boolean_value	opensolaris_fnvpair_value_boolean_value
#define	fnvpair_value_byte	opensolaris_fnvpair_value_byte
#define	fnvpair_value_int16	opensolaris_fnvpair_value_int16
#define	fnvpair_value_int32	opensolaris_fnvpair_value_int32
#define	fnvpair_value_int64	opensolaris_fnvpair_value_int64
#define	fnvpair_value_int8	opensolaris_fnvpair_value_int8
#define	fnvpair_value_nvlist	opensolaris_fnvpair_value_nvlist
#define	fnvpair_value_string	opensolaris_fnvpair_value_string
#define	fnvpair_value_uint16	opensolaris_fnvpair_value_uint16
#define	fnvpair_value_uint32	opensolaris_fnvpair_value_uint32
#define	fnvpair_value_uint64	opensolaris_fnvpair_value_uint64
#define	fnvpair_value_uint8_t	opensolaris_fnvpair_value_uint8_t
#define	nvlist_add_boolean	opensolaris_nvlist_add_boolean
#define	nvlist_add_boolean_array	opensolaris_nvlist_add_boolean_array
#define	nvlist_add_boolean_value	opensolaris_nvlist_add_boolean_value
#define	nvlist_add_byte	opensolaris_nvlist_add_byte
#define	nvlist_add_byte_array	opensolaris_nvlist_add_byte_array
#define	nvlist_add_hrtime	opensolaris_nvlist_add_hrtime
#define	nvlist_add_int16	opensolaris_nvlist_add_int16
#define	nvlist_add_int16_array	opensolaris_nvlist_add_int16_array
#define	nvlist_add_int32	opensolaris_nvlist_add_int32
#define	nvlist_add_int32_array	opensolaris_nvlist_add_int32_array
#define	nvlist_add_int64	opensolaris_nvlist_add_int64
#define	nvlist_add_int64_array	opensolaris_nvlist_add_int64_array
#define	nvlist_add_int8	opensolaris_nvlist_add_int8
#define	nvlist_add_int8_array	opensolaris_nvlist_add_int8_array
#define	nvlist_add_nvlist	opensolaris_nvlist_add_nvlist
#define	nvlist_add_nvlist_array	opensolaris_nvlist_add_nvlist_array
#define	nvlist_add_nvpair	opensolaris_nvlist_add_nvpair
#define	nvlist_add_string	opensolaris_nvlist_add_string
#define	nvlist_add_string_array	opensolaris_nvlist_add_string_array
#define	nvlist_add_uint16	opensolaris_nvlist_add_uint16
#define	nvlist_add_uint16_array	opensolaris_nvlist_add_uint16_array
#define	nvlist_add_uint32	opensolaris_nvlist_add_uint32
#define	nvlist_add_uint32_array	opensolaris_nvlist_add_uint32_array
#define	nvlist_add_uint64	opensolaris_nvlist_add_uint64
#define	nvlist_add_uint64_array	opensolaris_nvlist_add_uint64_array
#define	nvlist_add_uint8	opensolaris_nvlist_add_uint8
#define	nvlist_add_uint8_array	opensolaris_nvlist_add_uint8_array
#define	nvlist_alloc	opensolaris_nvlist_alloc
#define	nvlist_dup	opensolaris_nvlist_dup
#define	nvlist_empty	opensolaris_nvlist_empty
#define	nvlist_exists	opensolaris_nvlist_exists
#define	nvlist_free	opensolaris_nvlist_free
#define	nvlist_lookup_boolean	opensolaris_nvlist_lookup_boolean
#define	nvlist_lookup_boolean_array	opensolaris_nvlist_lookup_boolean_array
#define	nvlist_lookup_boolean_value	opensolaris_nvlist_lookup_boolean_value
#define	nvlist_lookup_byte	opensolaris_nvlist_lookup_byte
#define	nvlist_lookup_byte_array	opensolaris_nvlist_lookup_byte_array
#define	nvlist_lookup_hrtime	opensolaris_nvlist_lookup_hrtime
#define	nvlist_lookup_int16	opensolaris_nvlist_lookup_int16
#define	nvlist_lookup_int16_array	opensolaris_nvlist_lookup_int16_array
#define	nvlist_lookup_int32	opensolaris_nvlist_lookup_int32
#define	nvlist_lookup_int32_array	opensolaris_nvlist_lookup_int32_array
#define	nvlist_lookup_int64	opensolaris_nvlist_lookup_int64
#define	nvlist_lookup_int64_array	opensolaris_nvlist_lookup_int64_array
#define	nvlist_lookup_int8	opensolaris_nvlist_lookup_int8
#define	nvlist_lookup_int8_array	opensolaris_nvlist_lookup_int8_array
#define	nvlist_lookup_nv_alloc	opensolaris_nvlist_lookup_nv_alloc
#define	nvlist_lookup_nvlist	opensolaris_nvlist_lookup_nvlist
#define	nvlist_lookup_nvlist_array	opensolaris_nvlist_lookup_nvlist_array
#define	nvlist_lookup_nvpair	opensolaris_nvlist_lookup_nvpair
#define	nvlist_lookup_nvpair_embedded_index	opensolaris_nvlist_lookup_nvpair_embedded_index
#define	nvlist_lookup_pairs	opensolaris_nvlist_lookup_pairs
#define	nvlist_lookup_string	opensolaris_nvlist_lookup_string
#define	nvlist_lookup_string_array	opensolaris_nvlist_lookup_string_array
#define	nvlist_lookup_uint16	opensolaris_nvlist_lookup_uint16
#define	nvlist_lookup_uint16_array	opensolaris_nvlist_lookup_uint16_array
#define	nvlist_lookup_uint32	opensolaris_nvlist_lookup_uint32
#define	nvlist_lookup_uint32_array	opensolaris_nvlist_lookup_uint32_array
#define	nvlist_lookup_uint64	opensolaris_nvlist_lookup_uint64
#define	nvlist_lookup_uint64_array	opensolaris_nvlist_lookup_uint64_array
#define	nvlist_lookup_uint8	opensolaris_nvlist_lookup_uint8
#define	nvlist_lookup_uint8_array	opensolaris_nvlist_lookup_uint8_array
#define	nvlist_merge	opensolaris_nvlist_merge
#define	nvlist_next_nvpair	opensolaris_nvlist_next_nvpair
#define	nvlist_pack	opensolaris_nvlist_pack
#define	nvlist_prev_nvpair	opensolaris_nvlist_prev_nvpair
#define	nvlist_remove	opensolaris_nvlist_remove
#define	nvlist_remove_all	opensolaris_nvlist_remove_all
#define	nvlist_remove_nvpair	opensolaris_nvlist_remove_nvpair
#define	nvlist_size	opensolaris_nvlist_size
#define	nvlist_unpack	opensolaris_nvlist_unpack
#define	nvlist_xalloc	opensolaris_nvlist_xalloc
#define	nvlist_xdup	opensolaris_nvlist_xdup
#define	nvlist_xpack	opensolaris_nvlist_xpack
#define	nvlist_xunpack	opensolaris_nvlist_xunpack
#define	nvpair_name	opensolaris_nvpair_name
#define	nvpair_type	opensolaris_nvpair_type
#define	nvpair_type_is_array	opensolaris_nvpair_type_is_array
#define	nvpair_value_boolean_array	opensolaris_nvpair_value_boolean_array
#define	nvpair_value_boolean_value	opensolaris_nvpair_value_boolean_value
#define	nvpair_value_byte	opensolaris_nvpair_value_byte
#define	nvpair_value_byte_array	opensolaris_nvpair_value_byte_array
#define	nvpair_value_hrtime	opensolaris_nvpair_value_hrtime
#define	nvpair_value_int16	opensolaris_nvpair_value_int16
#define	nvpair_value_int16_array	opensolaris_nvpair_value_int16_array
#define	nvpair_value_int32	opensolaris_nvpair_value_int32
#define	nvpair_value_int32_array	opensolaris_nvpair_value_int32_array
#define	nvpair_value_int64	opensolaris_nvpair_value_int64
#define	nvpair_value_int64_array	opensolaris_nvpair_value_int64_array
#define	nvpair_value_int8	opensolaris_nvpair_value_int8
#define	nvpair_value_int8_array	opensolaris_nvpair_value_int8_array
#define	nvpair_value_nvlist	opensolaris_nvpair_value_nvlist
#define	nvpair_value_nvlist_array	opensolaris_nvpair_value_nvlist_array
#define	nvpair_value_string	opensolaris_nvpair_value_string
#define	nvpair_value_string_array	opensolaris_nvpair_value_string_array
#define	nvpair_value_uint16	opensolaris_nvpair_value_uint16
#define	nvpair_value_uint16_array	opensolaris_nvpair_value_uint16_array
#define	nvpair_value_uint32	opensolaris_nvpair_value_uint32
#define	nvpair_value_uint32_array	opensolaris_nvpair_value_uint32_array
#define	nvpair_value_uint64	opensolaris_nvpair_value_uint64
#define	nvpair_value_uint64_array	opensolaris_nvpair_value_uint64_array
#define	nvpair_value_uint8	opensolaris_nvpair_value_uint8
#define	nvpair_value_uint8_array	opensolaris_nvpair_value_uint8_array

#endif /* _OPENSOLARIS_SYS_NVNAMESPACE_H_ */
